body {
    background-image: url(bg.png);
    background-size: cover;
}

.box-container {
    display: block;
    max-width: 55rem;
    min-height: 46rem;
    margin-left: 8rem;
    margin-top: 6rem;
    border: 0px solid;
    border-radius: 1.5%;
    background-color: rgba(255, 255, 255, 0.140);
}

.box-container .head {

    text-align: center;
    font-weight: 900;
    color: rgb(211, 11, 218);
    text-shadow: 0 0 3px #f8f5f5, 0 0 5px #ffffff;
    font-size: 38px;
    height: 3rem;
    border-bottom: 5px solid rgba(248, 231, 231, 0.747);
}

.box-container #txt {
    font-size: larger;
    padding-left: 0.7rem;
    color: black;
    height: 5.5rem;
    width: 40rem;
    border: 1px solid;
    border-radius: 1.8rem;
    margin-left: 8rem;
    margin-top: 4rem;
    background-color: rgba(255, 255, 255, 0.603);
    box-shadow: 1px 2px 5px 2px white;

}

::placeholder {
    color: #0d365f;
    opacity: 0.7;
    font-size: 2rem;
    padding-left: 2.5rem;
}

.box-container .head2 {
    padding-top: 2rem;
    text-align: center;
    font-weight: 600;
    color: #0d365f;
    text-shadow: 0 0 3px #f8f5f5, 0 0 4px #ffffff;
    font-size: 38px;
}

.box-container .head3 {

    padding-top: 4rem;
    padding-left: 4rem;
    font-weight: 900;
    color: #a30d0d;
    text-shadow: 0 0 3px #f8f5f5, 0 0 4px #ffffff;
    font-size: 38px;
    height: 3rem;
}

.box-container .answer {

    text-align: center;
    font-weight: 700;
    color: #0d365f;
    text-shadow: 0 0 3px #f8f5f5, 0 0 4px #ffffff;
    font-size: 50px;
    padding-top: 7rem;
    margin-right: 9rem;
    display: block;
}

.box-container .ibtn {
    top: 26.5rem;
    left: 53rem;
    position: absolute;
    background: none;
    border: none;
    padding: 0;
    cursor: pointer;
    color: #0d365fc9;
    text-shadow: 0 0 3px #f8f5f5, 0 0 4px #ffffff;
}


.box-container .ibtn i {

    font-size: 3rem;
}

.ibtn:hover i {
    color: #1564b9cb;
    text-shadow: 0 0 4px #ffffff, 0 0 4px #ffffff;

}


.box-container .ibtn2 {
    position: relative;
    top: 10px;
    left: 22rem;
    background: none;
    border: none;
    cursor: pointer;
    color: #070707ee;
    font-weight: bold;
    border: 1px solid;
    border-radius: 1.8rem;
    background-color: rgba(255, 255, 255, 0.603);
    box-shadow: 1px 2px 5px 2px white;
}

.box-container .ibtn2:hover {
    background: #113f6da4;
    color: white;
}

.box-container .cbot {

    text-align: center;
    font-weight: 700;
    color: #0d365f;
    text-shadow: 0 0 3px #f8f5f5, 0 0 4px #ffffff;
    font-size: 50px;
    display: none;
    position: absolute;
    top: 35rem;
}

.box-container .cbot.show {
    display: block;

}

@media screen and (max-width: 768px) {
    .box-container {
        max-width: 80%;
        margin: 3rem auto;
    }

    .box-container #txt {
        width: 70%;
        height: 4rem;
        font-size: smaller;
        position: relative;
        left: -4rem;
    }

    .box-container .answer {
        padding-top: 3rem;
        font-size: 29px;
    }

    .box-container .cbot {
        font-size: 22px;
        margin-top: 1rem;
    }

    .box-container .ibtn2 {
        position: relative;
        left: 12rem;
        font-size: 13px;
    }
}

::placeholder {
    color: #0d365f;
    opacity: 0.7;
    font-size: 1rem;
    padding-left: 2.5rem;
}


@media screen and (max-width: 667px) {
    .box-container {
        max-width: 80%;
        margin: 3rem auto;
    }

    .box-container #txt {
        width: 70%;
        height: 4rem;
        font-size: smaller;
        position: relative;
        left: -4rem;
    }

    .box-container .answer {
        padding-top: 2rem;
        font-size: 22px;
    }

    .box-container .cbot {
        font-size: 22px;
        margin-top: -7.5rem;

    }

    .box-container .ibtn2 {
        position: relative;
        left: 8rem;
        font-size: 11px;
    }

    ::placeholder {
        color: #0d365f;
        opacity: 0.7;
        font-size: 1rem;
        padding-left: 2.5rem;
    }
}

@media screen and (max-width: 500px) {
    .box-container .head{
        font-size: 22px;

    }
    .box-container {
        max-width: 65%;
        margin: 3rem auto;
    }

    .box-container .answer {
        padding-top: 2rem;
        font-size: 22px;
    }

    .box-container #txt {
        width: 70%;
        height: 3.5rem;
        font-size: smaller;
        position: relative;
        left: -5rem;
    }

    .box-container .cbot {
        font-size: 15px;
        margin-top: -5rem;    }

    .box-container .ibtn2 {
        position: relative;
        left: 6rem;
        font-size: 10px;
    }
}